%global ver	2.04
%global momorel 3

Summary: kakasi library module for perl
Name: perl-Text-Kakasi
Version: %ver
Release: %{momorel}m
License: GPL
Group: Applications/Text
Source0: http://www.cpan.org/modules/by-module/Text/Text-Kakasi-%{ver}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Text/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kakasi >= 2.3.1
BuildPreReq: perl >= 5.8.2
BuildPreReq: kakasi-devel >= 2.3.1
BuildPreReq: kakasi-dict

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI.
KAKASI is the language processing filter to convert Kanji characters
to Hiragana, Katakana or Romaji and may be helpful to read Japanese
documents.
More information about KAKASI is available at <http://kakasi.namazu.org/>.

%prep
%setup -n Text-Kakasi-%{ver} -q

%build
CFLAGS="%optflags" perl Makefile.PL
make
make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm %{buildroot}%{perl_sitearch}/auto/Text/Kakasi/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Change* COPYING README*
%{perl_sitearch}/Text/Kakasi*
%{perl_sitearch}/auto/Text/Kakasi
%{_mandir}/man3/Text::Kakasi*

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.04-3m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (2.04-2m)
- revised spec for rpm 4.2.

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.04-1m)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.05-8m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.05-7m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.05-6m)
- add %%{momorel}

* Fri Nov 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.05-5m)
- rebuild against perl-5.8.0

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.05-4k)
- rebuild against for perl-5.6.1

* Mon Jul  2 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.05-2k)
- add documents

* Fri May 04 2001 Toru Hoshina <toru@df-usa.com>
- (1.04-8k)
- rebuild by gcc 2.95.3 :-P

* Wed Nov 29 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- use perl_archlib & perl_sitearch macro

* Fri Aug 18 2000 Toru Hoshina <t@kondara.org>
- rebuild against perl 5.600.

* Tue Apr 11 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.04.

* Fri Mar 11 2000 Motonobu Ichimura <famao@kondara.org>
- fix .packlist problem

* Thu Dec 30 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Kondara Adaptations.

* Fri Dec 03 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.01.

* Wed Dec 01 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- First build.
